<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
	</PropertyGroup>

	<ItemGroup>
	  <Compile Remove="Extensions\**" />
	  <EmbeddedResource Remove="Extensions\**" />
	  <None Remove="Extensions\**" />
	</ItemGroup>

	<ItemGroup>
	  <Compile Remove="Abstracts\BaseProtocolPlugin_bak.cs" />
	  <Compile Remove="QGDW3761Config.cs" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.Extensions.Caching.Abstractions" />
		<PackageReference Include="TouchSocket" />
		<PackageReference Include="Volo.Abp.Ddd.Domain.Shared" />
		<PackageReference Include="JiShe.ServicePro.Kafka"/>
		<PackageReference Include="JiShe.ServicePro.FreeRedisProvider"/>
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\..\services\JiShe.CollectBus.Domain\JiShe.CollectBus.Domain.csproj" />
		<ProjectReference Include="..\..\shared\JiShe.CollectBus.Common\JiShe.CollectBus.Common.csproj" />
	</ItemGroup>

</Project>
